$date = 'September 22, 2015'
$filenamelist = '1A00021K.024','1A00021K.024','1A00021K.024','1A00021K.024','1A00021K.025','1A00021K.025','1A00021K.026','1A00021K.027'

$items = get-item *
$items = $items | where { $_.lastwritetime -gt (get-date $date) }
foreach($item in $items) { 
    $content = Get-Content -path $item.FullName; 
    foreach($filename in $filenamelist) { 
        if($content -match $filename) { write-host "$($item.Name) has $filename" }
    }
}

